libetonyek::PAG1StyleContext Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::PAG1StyleContext Class Reference

`#include <PAG1StyleContext.h>`

Inheritance diagram for libetonyek::PAG1StyleContext:

## Public Member Functions
| PAG1StyleContext (PAG1ParserState &state, IWORKStyleMap_t *styleMap, const char *defaultParent, bool nested=false)
Public Member Functions inherited from libetonyek::PAG1XMLContextBase< IWORKXMLContextElement >
| PAG1XMLContextBase (PAG1ParserState &state)
| PAG1XMLContextBase (PAG1ParserState &state, T1 arg1)
| PAG1XMLContextBase (PAG1ParserState &state)
| PAG1XMLContextBase (PAG1ParserState &state, T1 arg1)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T>
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override

## Private Attributes
IWORKPropertyMap | m_props
IWORKStyleContext | m_base
boost::optional< std::string > | m_ident
boost::optional< std::string > | m_parentIdent

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ PAG1StyleContext()

libetonyek::PAG1StyleContext::PAG1StyleContext | ( | PAG1ParserState & | state,
|  | IWORKStyleMap_t * | styleMap,
|  | const char * | defaultParent,
|  | bool | nested = false )

Referenced by PAG1StyleContext().

## Member Function Documentation

## ◆ attribute()

void libetonyek::PAG1StyleContext::attribute | ( | int | name,
|  | const char * | value )
| overrideprivate

## ◆ element()

IWORKXMLContextPtr_t libetonyek::PAG1StyleContext::element | ( | int | name | ) |
| overrideprivate

## ◆ endOfElement()

void libetonyek::PAG1StyleContext::endOfElement | ( |  | ) |
| overrideprivate

## Member Data Documentation

## ◆ m_base

IWORKStyleContext libetonyek::PAG1StyleContext::m_base
| private

Referenced by attribute(), endOfElement(), and PAG1StyleContext().

## ◆ m_ident

boost::optional<std::string> libetonyek::PAG1StyleContext::m_ident
| private

Referenced by attribute(), and PAG1StyleContext().

## ◆ m_parentIdent

boost::optional<std::string> libetonyek::PAG1StyleContext::m_parentIdent
| private

Referenced by attribute(), and PAG1StyleContext().

## ◆ m_props

IWORKPropertyMap libetonyek::PAG1StyleContext::m_props
| private

Referenced by element(), and PAG1StyleContext().

The documentation for this class was generated from the following files:

- PAG1StyleContext.h
- PAG1StyleContext.cpp